.menu
{
    @include flex(column, space-between,flex-end);
    
    //burger
    &__switcher
    {
        display: none;
        pointer-events: none;
    }

    &__burger
    {
        @include flex(column, center,flex-end);
        width: 26px;
        height: 26px;
    }
    &__burger-line
    {
        margin-top: 6px;
        margin-bottom: 6px;
    }

    &__burger-line,
    &__burger::after
    {
        width: 26px;
    }
    &__burger::before
    {
        width: 15px;
    }

    &__burger::before,
    &__burger-line,
    &__burger::after
    {      
        height: 3px;
        background: getColor(main-container);
        border-radius: 5px;
        transition: transform .5s ease-out;
    }
  
    &__burger::before,
    &__burger::after
    {
        content: '';
    }

    //dropdown
    &__list
    {
        position: absolute;
        z-index: 99;
        background: #333333;
        border-bottom: 14px solid transparent;
        top: 99%;
        left: 15px;
        right: 15px;
        display: none;
    }

    &__link
    {
        @include text(26px,400,capitalize);
        color: getColor(main-container);
        padding: 25px 35px;
        display: block;
        border-bottom: 3px solid #3b3b3b;
        transition: all .5s ease-out;
    }

    
    //отработка бургера до 480px
    @media (max-width: 480px) {

        &__switcher:checked ~  &__burger &__burger-line
        {
            display: none;
        }
        &__switcher:checked + &__burger::before
        {
            width: 26px;
            transform: rotate(45deg) translateX(8%);
        }
        &__switcher:checked + &__burger::after
        {
            transform: rotate(-45deg) translateX(8%);
        }

        &__switcher:checked ~ &__list
        {
            display: block;
        }

        &__link
        {
            position: relative;
        }
        &__link:active,
        &__link:focus
        {
            color: getColor(purple);
            padding-left: 39px;
        }
        &__link:active::before,
        &__link:focus::before
        {
            position: absolute;
            content: '';
            width: 8px;
            height: 53px;
            left: 1px;
            top: 15px;
            background: getColor(purple);
        }

    }
    
    @media (min-width: 481px) {

        &
        {
            width: 100%;
            @include flex(row, center,center);
        }

        &__burger
        {
            display: none;
            pointer-events: none;
        }

        &__list
        {
            @include flex(row,space-around,center);
            position: static;
            width: 100%;
            border-bottom: none;
            background: getColor(transparent);
            padding-top: 25px;
        }
        &__link
        {
            @include text(16px,700,capitalize);
            color: getColor(purple);
            padding: 0;
            border-bottom: none;
          
        }
        
    }

    @media (min-width: 993px) {
        &
        {
            width: auto;
            flex-grow: 1;
        }
        &__list
        {
            padding-top: 0;
            padding-right: 50px;
            justify-content: flex-end;
        }

        &__item:not(:last-child) &__link
        {
            margin-left: 10px;
            margin-right: 10px;
        }

        &__link:hover
        {
            color: getColor(text-hover)
        }
    }
}